Skip to main content
GET
/
order
/
get_single
Order - Get Single
curl --request GET \
  --url https://api.skulabs.com/order/get_single \
  --header 'Authorization: Bearer <token>'
{
  "order": {
    "_id": "507f1f77bcf86cd799439011",
    "store_id": "507f1f77bcf86cd799439011",
    "order_number": "<string>",
    "status": "unstarted",
    "financial_status": "pending",
    "type": "manual",
    "stash": {
      "store_id": "507f1f77bcf86cd799439011",
      "id": "<string>",
      "date": "2025-01-15",
      "items": [
        {
          "id": "<string>",
          "variant_id": "<string>",
          "lineName": "<string>",
          "quantity": 123,
          "price": 123,
          "sku": "<string>",
          "line_id": "<string>",
          "metadata": "<unknown>",
          "dropshipped": true
        }
      ],
      "shipping_information": {
        "name": "<string>",
        "email": "<string>",
        "address": "<string>",
        "street2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip": "<string>",
        "country": "<string>",
        "phone": "<string>",
        "company": "<string>",
        "method": "<string>",
        "is_residential": true,
        "is_valid": true,
        "hash": "<string>",
        "address_type": "<string>",
        "address_validation_data": {}
      },
      "total": 123,
      "tax": 123,
      "shipping": 123,
      "discount": 123,
      "notes": "<string>",
      "alternate_order_id": "<string>",
      "order_id": "<string>",
      "currency": "<string>"
    },
    "backup_stash": {
      "store_id": "507f1f77bcf86cd799439011",
      "id": "<string>",
      "date": "2025-01-15",
      "items": [
        {
          "id": "<string>",
          "variant_id": "<string>",
          "lineName": "<string>",
          "quantity": 123,
          "price": 123,
          "sku": "<string>",
          "line_id": "<string>",
          "metadata": "<unknown>",
          "dropshipped": true
        }
      ],
      "shipping_information": {
        "name": "<string>",
        "email": "<string>",
        "address": "<string>",
        "street2": "<string>",
        "city": "<string>",
        "state": "<string>",
        "zip": "<string>",
        "country": "<string>",
        "phone": "<string>",
        "company": "<string>",
        "method": "<string>",
        "is_residential": true,
        "is_valid": true,
        "hash": "<string>",
        "address_type": "<string>",
        "address_validation_data": {}
      },
      "total": 123,
      "tax": 123,
      "shipping": 123,
      "discount": 123,
      "notes": "<string>",
      "alternate_order_id": "<string>",
      "order_id": "<string>",
      "currency": "<string>"
    },
    "log": [
      {
        "user_id": "507f1f77bcf86cd799439011",
        "action": "<string>",
        "time": "2025-01-15T12:00:00.000Z",
        "details": "<unknown>"
      }
    ],
    "items": [
      {}
    ],
    "scans": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "user_id": "507f1f77bcf86cd799439011",
        "barcode_id": "<string>",
        "item_id": "<string>",
        "variant_id": "<string>",
        "time": "2025-01-15T12:00:00.000Z",
        "skipped": true,
        "out_of_stock": true,
        "note": "<string>",
        "quantity": 123,
        "deducted": true,
        "location_id": "<string>",
        "line_id": "<string>"
      }
    ],
    "misscans": [
      {}
    ],
    "notes": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "user_id": "507f1f77bcf86cd799439011",
        "time": "2025-01-15T12:00:00.000Z",
        "note": "<string>",
        "type": "internal"
      }
    ],
    "shipments": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "user_id": "507f1f77bcf86cd799439011",
        "time": "2025-01-15T12:00:00.000Z",
        "voided": true,
        "return_label": true,
        "deducted": true,
        "response": {
          "provider": "<string>",
          "service": "<string>",
          "label_url": "<string>",
          "tracking_number": "<string>",
          "tracking_url": "<string>",
          "amount": 123,
          "currency": "<string>",
          "shipment_id": "<string>",
          "signature": true
        },
        "request": {
          "order_items": [
            {
              "item_id": "<string>",
              "variant_id": "<string>",
              "quantity": 123,
              "sku": "<string>"
            }
          ],
          "parcel": {
            "length": 123,
            "width": 123,
            "height": 123,
            "weight": 123,
            "weight_unit": "<string>",
            "dimensions_unit": "<string>"
          },
          "address": {},
          "carrier_account_ids": [
            "<string>"
          ],
          "provider": "<string>",
          "service": "<unknown>"
        }
      }
    ],
    "fulfillments": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "status": "<string>",
        "tracking_number": "<string>",
        "tracking_url": "<string>"
      }
    ],
    "transactions": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "amount": 123,
        "kind": "<string>",
        "status": "<string>"
      }
    ],
    "returns": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "rma_number": "<string>",
        "status": "<string>",
        "items": [
          {}
        ]
      }
    ],
    "tags": [
      "507f1f77bcf86cd799439011",
      "507f1f77bcf86cd799439012"
    ],
    "purchase_orders": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "number": "<string>",
        "status": "<string>",
        "distributor_id": "<string>",
        "warehouse_id": "<string>",
        "due_date": "2025-01-15",
        "dropshipped": true,
        "items": [
          {}
        ],
        "log": [
          {
            "user_id": "507f1f77bcf86cd799439011",
            "action": "<string>",
            "time": "2025-01-15T12:00:00.000Z",
            "details": "<unknown>"
          }
        ],
        "total": 123,
        "currency": "<string>"
      }
    ],
    "inventory": [
      {
        "item_id": "<string>",
        "location_id": "<string>",
        "on_hand": 123,
        "alert": 123,
        "inbound": 123
      }
    ],
    "barcodes": [
      {
        "id": "<string>",
        "sku": "<string>",
        "quantity": 123,
        "name": "<string>"
      }
    ],
    "parent_order_number": "<string>",
    "source_store_id": "<string>",
    "source_order_number": "<string>",
    "manual_order_number": "<string>",
    "combined_order_numbers": [
      "<string>"
    ],
    "base_order_number": "<string>",
    "batch_number": 123,
    "overriden": true,
    "processing": true,
    "channel_status": "<string>",
    "location": "<string>",
    "shipped_date": "2025-01-15T12:00:00.000Z",
    "opened_date": "2025-01-15T12:00:00.000Z",
    "marked_as_shipped": true,
    "warehouse_id": "<string>",
    "internal_order_number": "<string>",
    "shipping_memory_hash": "<string>",
    "shipping_memory": {},
    "packaging": {},
    "delivery_instructions": [
      {
        "_id": "507f1f77bcf86cd799439011",
        "user_id": "507f1f77bcf86cd799439011",
        "time": "2025-01-15T12:00:00.000Z",
        "note": "<string>",
        "type": "internal"
      }
    ]
  },
  "metrics": {},
  "barcode_generation_failed": {
    "message": "<string>",
    "code": "<string>"
  }
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Query Parameters

store_id
string
required

Store ID

Example:

"507f1f77bcf86cd799439011"

order_number
string
required

Order number

Example:

"ORD-1234"

Response

Order found with full details

order
object
required

Full order object with inventory and barcodes

metrics
object

Performance metrics

barcode_generation_failed
object

Barcode generation failure info